Name:          rxvt
Release:       4mamba
Version:       2.7.10
Summary:       A colour vt102 terminal emulator for the X Window System 
Group:         Graphical Desktop/Applications/Utilities
Vendor:        openmamba
Distribution:  openmamba
Packager:      Aleph0 <aleph0@openmamba.org>
URL:           http://sourceforge.net/projects/rxvt/
Source0:       http://downloads.sourceforge.net/sourceforge/rxvt/%{name}-%{version}.tar.gz
Source1:       rxvt_desktopfile
Patch0:        %{name}-2.7.10-security.patch
Patch1:        %{name}-2.7.10-configure_wtmp.patch
BuildRequires: libX11-devel
BuildRequires: libXpm-devel
BuildRequires: libXt-devel
BuildRequires: xorg-proto-devel
License:       GPL
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
rxvt is a colour vt102 terminal emulator intended as an xterm replacement for users who do not require features such as Tektronix 4014 emulation and toolkit-style configurability. 
As a result, rxvt uses much less swap space.

%prep
%setup -q
%patch0 -p0 -b .security
%patch1 -p1 -b .wtmp

%build
%configure \
   --x-includes=%{_includedir} \
   --x-libraries=%{_libdir} \
   --enable-everything \
   --enable-languages \
   --enable-xim \
   --enable-xgetdefault \
   --enable-ttygid \
   --enable-256-color \
   --with-term=rxvt \
   --enable-ttygid \
   --enable-xpm-background

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

install -p -D -m644 %{S:1} %{buildroot}%{_datadir}/applications/%{name}.desktop

rm -f %{buildroot}%{_bindir}/rxvt-%{version}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/rclock
%{_bindir}/rxvt
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/*
#%doc ChangeLog README.configure
#%doc doc/BUGS doc/FAQ doc/README.* doc/TODO doc/*.html doc/rxvtRef.txt doc/xterm.seq
#%doc doc/menu/* 

%changelog
* Mon Jul 15 2013 Automatic Build System <autodist@mambasoft.it> 2.7.10-4mamba
- automatic rebuild by autodist

* Thu May 21 2009 Automatic Build System <autodist@mambasoft.it> 2.7.10-3mamba
- automatic rebuild by autodist

* Tue Oct 09 2007 Aleph0 <aleph0@openmamba.org> 2.7.10-2mamba
- rebuilt against xorg

* Fri Sep 03 2004 Davide Madrisan <davide.madrisan@qilinux.it> 2.7.10-1qilnx
- package creation
